#4574 [HHQ-4517] ActiveMQ plugin - Control Action Remove Queue con

Bug
open
Hyperic Team
None
7
2012-10-09
2010-12-18
Hyperic Team
No

http://jira.hyperic.com/browse/HHQ-4517
ActiveMQ plugin - Control Action Remove Queue contines in Progress state.



After executing the control action removeQueue, the Command State continues to show In Progress and the Elapsed Time continues to increment.



See attached screenshot 'ActiveMQ removeQueue In Progress.jpg' for more details.



The operation appears to have completed as the Queue was actually removed; however, there was an error in the agent.log:



010-12-14 18:08:55,416 DEBUG [Thread-103] [ActionThread] Adding job 10507 to 3:19948 queue


2010-12-14 18:08:55,416 DEBUG [Thread-103] [ActionThread] Running job 10507


2010-12-14 18:08:55,416 DEBUG [Thread-103] [MxControlPlugin] invoking removeQueue [delete.me]


2010-12-14 18:08:55,442 DEBUG [Thread-103] [MxUtil] ptql:State.Name.sw=java,Args.*.eq=-Dactivemq.home=/opt/activemq/apache-activemq-5.4.2 resolved to vmid=3220, jmx.url=service:jmx:rmi://127.0.0.1/stub/rO0ABXNyAC5qYXZheC5tYW5hZ2VtZW50LnJlbW90ZS5ybWkuUk1JU2VydmVySW1wbF9TdHViAAAAAAAAAAICAAB4cgAaamF2YS5ybWkuc2VydmVyLlJlbW90ZVN0dWLp/tzJi+FlGgIAAHhyABxqYXZhLnJtaS5zZXJ2ZXIuUmVtb3RlT2JqZWN002G0kQxhMx4DAAB4cHc2AApVbmljYXN0UmVmAA0xMC4xNTAuMzAuMTAzAADPLIjzA8rpv4eg9ukHkgAAASzm1+rIgAEAeA==


2010-12-14 18:08:55,468 DEBUG [Thread-103] [MBeanUtil] Converting params for: removeQueue[delete.me]


2010-12-14 18:08:55,469 DEBUG [Thread-103] [MBeanUtil] Found operation: removeQueue(java.lang.String)


2010-12-14 18:08:55,469 DEBUG [Thread-103] [MBeanUtil] Using default sig: (java.lang.String)


2010-12-14 18:08:55,469 DEBUG [Thread-103] [MBeanUtil] removeQueue() arg 0=delete.me, type=java.lang.String


2010-12-14 18:08:55,511 DEBUG [Thread-103] [MxControlPlugin] org.apache.activemq:Type=Broker,BrokerName=localhost.removeQueue() returned: null


2010-12-14 18:08:55,511 DEBUG [Thread-103] [ActionThread] Removed job 10507 from the queue


2010-12-14 18:08:55,525 DEBUG [Thread-103] [AgentCallbackClient] Remote error while invoking 'controlSendCommandResult: org.hyperic.hq.common.SystemException: Failure getting control history id=10507. Could not update history {status=Completed, startTime=1292368135416, endTime=1292368135511, message=null}


2010-12-14 18:08:55,525 ERROR [Thread-103] [ActionThread] Unable to send command result: Remote error while invoking 'controlSendCommandResult: org.hyperic.hq.common.SystemException: Failure getting control history id=10507. Could not update history {status=Completed, startTime=1292368135416, endTime=1292368135511, message=null}



There appears to be no means to stop the progress.



The server was stopped and upgraded to the latest build but the progress continues. Even executing another control action does not halt the progress.



Expected Result:


The progress of a control action should time out if running for an extremely long case or a failure occurs.



Actual Result:


The progress continues and cannot be stopped.



Steps to Reproduce:


1. Install and start agent on platform running ActiveMQ


2. Log into Hyperic.


3. Add ActiveMQ platform in to inventory from auto-discovery


4. Select ActiveMQ platform -> ActiveMQ server -> ActiveMQ broker


5. Select Control tab


6. Select remvoeQueue from Control Action drop down list


7. Enter name of Queue in Control Arguments text box


8. Click Execute (play) button


9. Note the process continues and reported error in agent.log

Discussion


Anonymous


Cancel   Add attachments